package com.heyu.api.data.dao.vv;
/**
* <p>
* sku详描 服务类
* </p>
*
* @author quyixiao
* @since 2025-12-04
*/
import com.heyu.api.data.entity.vv.VvOutTradeNoEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface VvOutTradeNoDao extends BaseMapper<VvOutTradeNoEntity> {


	VvOutTradeNoEntity selectVvOutTradeNoById(@Param("id")Long id);


	Long insertVvOutTradeNo(VvOutTradeNoEntity vvOutTradeNo);


	Long insertOrUpdateVvOutTradeNo(VvOutTradeNoEntity vvOutTradeNo);


	int updateVvOutTradeNoById(VvOutTradeNoEntity vvOutTradeNo);


	int updateCoverVvOutTradeNoById(VvOutTradeNoEntity vvOutTradeNo);


	int deleteVvOutTradeNoById(@Param("id")Long id);


}